List transactions

Returns a list of transactions where the given wallet address had an on-chain interaction for the given chain. The ERC-20 transfers, ERC-721 transfers, ERC-1155, and internal transactions returned are only those where the input address had an interaction. Specifically, those lists only inlcude entries where the input address was the sender (from field) or the receiver (to field) for the sub-transaction. Therefore the transactions returned from this list may not be complete representations of the on-chain data. For a complete view of a transaction use the /chains/:chainId/transactions/:txHash endpoint.

Filterable by block ranges.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A supported evm chain id, chain alias or blockchain id. Use the /chains endpoint to get a list of supported chain ids.

string
required

A wallet address.

Query Params
string

A page token, received from a previous list call. Provide this to retrieve the subsequent page.

integer
1 to 100
Defaults to 10

The maximum number of items to return. The minimum page size is 1. The maximum pageSize is 100.

number

The block range start number, inclusive. If endBlock is not defined when startBlock is defined, the end of the range will be the most recent block.

number

The block range end number, exclusive. If startBlock is not defined when endBlock is defined, the start of the range will be the genesis block.

string
enum

The order by which to sort results. Use "asc" for ascending order, "desc" for descending order. Sorted by timestamp or the sortBy query parameter, if provided.

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json